Bug 235419 - Logitech wireless/Bluetooth keyboard not responding
Summary: Logitech wireless/Bluetooth keyboard not responding
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 17:17 UTC by Frederic Poncin
Modified: 2008-05-07 01:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:26:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (54.32 KB, text/plain)
2007-04-05 17:17 UTC, Frederic Poncin
no flags Details

Description Frederic Poncin 2007-04-05 17:17:27 UTC
Description of problem:

On boot, after reaching the console prompt, there is no response from keyboard
input or mouse.
* Mouse/keyboard is operational when interacting with BIOS/grub.
* Workaround: After unplug/replug everything is OK again.
* This problem is old (several kernel releases).

Version-Release number of selected component (if applicable):
Linux localhost 2.6.20-1.3040.fc7 #1 SMP Mon Apr 2 17:44:37 EDT 2007 i686 i686
i386 GNU/Linux

How reproducible:
Systematic, on boot.

Additional info:
At boot, the following output is repeated several times.

Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
BUG: warning at drivers/hid/hid-core.c:778/implement() (Not tainted)
 [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
 [<c04067ad>] show_trace+0x12/0x14
 [<c0406831>] dump_stack+0x16/0x18
 [<c05a3827>] hid_output_report+0x205/0x2a1
 [<c05838d8>] hid_submit_ctrl+0x57/0x1cf
 [<c0583b95>] usbhid_submit_report+0x145/0x168
 [<c058596b>] hiddev_ioctl+0x360/0x8d1
 [<c0488b30>] do_ioctl+0x50/0x67
 [<c0488d99>] vfs_ioctl+0x252/0x265
 [<c0488df5>] sys_ioctl+0x49/0x64
 [<c0405078>] syscall_call+0x7/0xb
 =======================

keyboard/mouse is provided by logitech:
Bluetooth wirelessHub" + "Cordless Elite" / MX900

[root@localhost ~]# lsusb
Bus 004 Device 001: ID 0000:0000  
Bus 003 Device 001: ID 0000:0000  
Bus 002 Device 001: ID 0000:0000  
Bus 001 Device 001: ID 0000:0000  
Bus 005 Device 014: ID 046d:c703 Logitech, Inc. 
Bus 005 Device 013: ID 0451:2036 Texas Instruments, Inc. TUSB2036 Hub
Bus 005 Device 002: ID 2001:f103 D-Link Corp. [hex] 
Bus 005 Device 007: ID 0bc2:0500 Seagate RSS LLC 
Bus 005 Device 006: ID 0bc2:0500 Seagate RSS LLC 
Bus 005 Device 005: ID 2001:f103 D-Link Corp. [hex] 
Bus 005 Device 004: ID 0bc2:0502 Seagate RSS LLC 
Bus 005 Device 003: ID 14aa:0222 AVerMedia (again) or C&E 
Bus 005 Device 001: ID 0000:0000  


Bus 005 Device 014: ID 046d:c703 Logitech, Inc. 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x046d Logitech, Inc.
  idProduct          0xc703 
  bcdDevice           24.04
  iManufacturer           1 Logitech
  iProduct                2 USB Receiver
  iSerial                 3 124AC3
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           59
    bNumInterfaces          2
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      Remote Wakeup
    MaxPower               98mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Devices
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      1 Keyboard
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.10
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      59
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Devices
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      2 Mouse
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.10
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength     168
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10

Comment 1 Frederic Poncin 2007-04-05 17:17:28 UTC
Created attachment 151786 [details]
dmesg

Comment 2 Marcel Holtmann 2007-04-05 19:55:05 UTC
This is not Bluetooth specific. It is an issue with the generic HID subsystem.


Comment 3 Frederic Poncin 2007-05-14 07:44:03 UTC
Brief follow up:
* Still present on 2.6.21-1.3142.fc7
* Seems to be fixed upstream (2.6.22-rc1-g39403865)


Comment 4 Martin Ebourne 2007-06-08 23:26:38 UTC
Looks like a dup of bug 228755.

Comment 5 Bug Zapper 2008-04-03 23:57:54 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 01:26:02 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.